Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 8009 - editor/base/*Txn.cpp hard-coded strings (not in UI)
: editor/base/*Txn.cpp hard-coded strings (not in UI)
: helpwanted
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: Future
Assigned To: kinmoz
: tao
: Jet Villegas (:jet)
Depends on: 12022 18395
Blocks: 7228
  Show dependency treegraph
Reported: 1999-06-11 12:36 PDT by Kathleen Brade
Modified: 2001-09-12 00:43 PDT (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Kathleen Brade 1999-06-11 12:36:55 PDT
in ChangeAttributeTxn.cpp
ChangeAttributeTxn::GetUndoString and ChangeAttributeTxn::GetRedoString have
hard-coded strings in them.  These will need to be pulled out for L10n efforts.
Comment 1 Kathleen Brade 1999-06-11 14:13:59 PDT
file                   methods
CreateElementTxn.cpp   GetUndoString, GetRedoString
DeleteTextTxn.cpp      GetUndoString, GetRedoString
DeleteElementTxn.cpp   GetUndoString, GetRedoString
DeleteRangeTxn.cpp     GetUndoString, GetRedoString
InsertTextTxn.cpp      GetUndoString, GetRedoString
JoinElementTxn.cpp     GetUndoString, GetRedoString
SplitElementTxn.cpp    GetUndoString, GetRedoString
Comment 2 Kathleen Brade 1999-06-11 14:15:59 PDT
reassign to myself; cc
Comment 3 bobj 1999-06-11 14:49:59 PDT
I assume these are error messages that you need to resource?
Check out:

Cc'ing Tao and Erik who can help with the strres APIs.
Comment 4 buster 1999-06-11 14:51:59 PDT
Can wait until M10. We have very few places where we have embedded strings, so
I'm not concerned about leaving this until after we've hit full functionality.
These are strings that can be made available to the UI to give more meaning to
the user about what action will be undone|redone.
Comment 5 bobj 1999-06-11 15:13:59 PDT
Of course, sooner is better.  The L10N engineers have already begun creating
pseudo-localizations to test localizability where possible.
Comment 6 bobj 1999-06-11 15:14:59 PDT
Of course, sooner is better.  The L10N engineers have already begun creating
pseudo-localizations to test localizability where possible.
Comment 7 bobj 1999-06-11 15:16:59 PDT
Of course, sooner is better.  The L10N engineers have already begun creating
pseudo-localizations to test localizability where possible.
Comment 8 Kathleen Brade 1999-07-08 12:15:59 PDT
changing contact person to
Comment 9 Kathleen Brade 1999-07-09 15:15:59 PDT
moving to M9
Comment 10 Kathleen Brade 1999-08-11 12:10:59 PDT
Comment 11 Kathleen Brade 1999-08-31 07:49:59 PDT
Comment 12 Kathleen Brade 1999-09-22 08:03:59 PDT
infrastructure in place; move to M12 (note: only logging currently uses the hard-
coded strings)
Comment 13 rubydoo123 1999-11-05 14:46:59 PST
setting to M14, this can wait till after dogfood
Comment 14 msanz 1999-11-05 15:22:59 PST
Beth, this needs to be fixed before M14 because we are localizing M14. Can you
set the milestone to M13? I agree it's not dogfood, but early M13 is our
deadline for translation. Thanks!
Comment 15 rubydoo123 2000-02-03 15:42:47 PST
removing whiteboard summary text
Comment 16 bobj 2000-02-03 16:25:21 PST
Nominating for Beta1 since we are localizing Beta1.
Comment 17 Kathleen Brade 2000-02-08 15:21:16 PST
I would like this bug reconsidered and marked PDT-
Removing PDT+ on status whiteboard so it will be reconsidered.

These strings are only used in the logging system which is a "debug" thing; they 
don't appear anywhere in the UI.

This bug could be fixed in 3 ways:
 * remove the strings altogether and break logging
 * create a properties file and write extra code to handle these strings 
 * the "right" way which is dependent on command-dispatching which may not be 
completely in place for beta1 (bug #18395 I think)
Comment 18 leger 2000-02-08 17:27:13 PST
Putting on the PDT- radar for beta1. 
Comment 19 Kathleen Brade 2000-02-10 10:41:56 PST
moving to M15 (hopefully Simon's / Hyatt's stuff will be done by then)
Comment 20 Kathleen Brade 2000-02-21 15:39:25 PST
remove beta1 keyword and PDT- status whiteboard
Comment 21 Kathleen Brade 2000-06-13 14:04:41 PDT
move to Future for now
Comment 22 rubydoo123 2000-07-27 13:56:52 PDT
adding help wanted keyword
Comment 23 kinmoz 2001-03-15 11:04:26 PST
Taking this off of brade's plate.
Comment 24 kinmoz 2001-03-15 11:13:41 PST
The GetUndoString() and GetRedoString() methods were ripped out when I landed 
changes for bug #66308, so this bug is effectively fixed. ;-)

The only strings left in the transactions are left for logging/debugging which 
will never appear in the UI, so they don't need translating.
Comment 25 sujay 2001-03-21 15:32:30 PST
Kin/Kathy, can you verify this one and mark VERIFIED-FIXED ? thx.
Comment 26 kinmoz 2001-03-21 15:39:12 PST
Marking verified.

Note You need to log in before you can comment on or make changes to this bug.